;; clog -- Supposedly simplistic blogging in Common Lisp
;; Copyright (C) 2013  Tom Willemse

;; clog is free software: you can redistribute it and/or modify
;; it under the terms of the GNU Affero General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; clog is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU Affero General Public License for more details.

;; You should have received a copy of the GNU Affero General Public License
;; along with clog.  If not, see <http://www.gnu.org/licenses/>.

(asdf:defsystem :clog
  :serial t
  :description "A blog in Common Lisp"
  :author "Tom Willemse"
  :license "AGPLv3"
  :depends-on (:ningle :postmodern :simple-date :closure-template
                       :clack-middleware-postmodern)
  :defsystem-depends-on (:closure-template)
  :components ((:closure-template "templates/clog")
               (:file "packages")
               (:file "tables")
               (:file "config")
               (:file "clog")))
